--- a/Makerules
+++ b/Makerules
@@ -117,11 +117,11 @@ ifeq ($(OS),MINGW)
 else ifeq ($(OS),MACOS)
   HAVE_GLUT := yes
   SYS_GLUT_CFLAGS := -Wno-deprecated-declarations
-  SYS_GLUT_LIBS := -framework GLUT -framework OpenGL
-  CC = xcrun cc
-  AR = xcrun ar
-  LD = xcrun ld
-  RANLIB = xcrun ranlib
+  SYS_GLUT_LIBS ?= -framework GLUT -framework OpenGL
+  CC ?= xcrun cc
+  AR ?= xcrun ar
+  LD ?= xcrun ld
+  RANLIB ?= xcrun ranlib
 
 else ifeq ($(OS),Linux)
   HAVE_OBJCOPY := yes
--- a/Makerules
+++ b/Makerules
@@ -122,9 +122,7 @@ else ifeq ($(OS),MACOS)
   AR ?= xcrun ar
   LD ?= xcrun ld
   RANLIB ?= xcrun ranlib
-
-else ifeq ($(OS),Linux)
-  HAVE_OBJCOPY := yes
+endif
 
   ifeq ($(shell $(PKG_CONFIG) --exists freetype2 && echo yes),yes)
 	SYS_FREETYPE_CFLAGS := $(shell $(PKG_CONFIG) --cflags freetype2)
@@ -197,8 +195,6 @@ else ifeq ($(OS),Linux)
 	PTHREAD_LIBS := -lpthread
   endif
 
-endif
-
 # The following section has various cross compilation configurations.
 #
 # Invoke these as:
